E-MailRelay

Public Member Functions | List of all members
GNet::EventLoopImp Class Reference

A concrete implementation of GNet::EventLoop using select() in its implementation. More...

Inheritance diagram for GNet::EventLoopImp:

## Public Member Functions
| EventLoopImp (const EventLoopImp &)=delete
| EventLoopImp (EventLoopImp &&)=delete
void | operator= (const EventLoopImp &)=delete
void | operator= (EventLoopImp &&)=delete
Public Member Functions inherited from GNet::EventLoop
virtual | ~EventLoop ()
| Destructor. More...
virtual std::string | run ()=0
| Runs the main event loop. More...
virtual bool | running () const =0
| Returns true if called from within run().
virtual void | quit (const std::string &reason)=0
| Causes run() to return (once the call stack has unwound). More...
virtual void | quit (const G::SignalSafe &)=0
| A signal-safe overload to quit() the event loop.
virtual void | addRead (Descriptor fd, EventHandler &, ExceptionSink)=0
| Adds the given event source descriptor and associated handler to the read list. More...
virtual void | addWrite (Descriptor fd, EventHandler &, ExceptionSink)=0
| Adds the given event source descriptor and associated handler to the write list. More...
virtual void | addOther (Descriptor fd, EventHandler &, ExceptionSink)=0
| Adds the given event source descriptor and associated handler to the exception list. More...
virtual void | dropRead (Descriptor fd) noexcept=0
| Removes the given event source descriptor from the list of read sources. More...
virtual void | dropWrite (Descriptor fd) noexcept=0
| Removes the given event source descriptor from the list of write sources. More...
virtual void | dropOther (Descriptor fd) noexcept=0
| Removes the given event source descriptor from the list of exception sources. More...
virtual void | disarm (ExceptionHandler *) noexcept=0
| Used to prevent the given interface from being used, typically called from the ExceptionHandler destructor.
| EventLoop (const EventLoop &)=delete
| EventLoop (EventLoop &&)=delete
void | operator= (const EventLoop &)=delete
void | operator= (EventLoop &&)=delete

## Additional Inherited Members
Static Public Member Functions inherited from GNet::EventLoop
static std::unique_ptr< EventLoop > | create ()
| A factory method which creates an instance of a derived class on the heap. More...
static EventLoop & | instance ()
| Returns a reference to an instance of the class, if any. More...
static EventLoop * | ptr () noexcept
| Returns a pointer to an instance of the class, if any. More...
static bool | exists ()
| Returns true if an instance exists. More...
static void | stop (const G::SignalSafe &)
| Calls quit() on instance(). More...
Protected Member Functions inherited from GNet::EventLoop
| EventLoop ()
| Constructor. More...

## Detailed Description

A concrete implementation of GNet::EventLoop using select() in its implementation.

Definition at line 70 of file geventloop_select.cpp.

## Constructor & Destructor Documentation

## ◆ EventLoopImp()

GNet::EventLoopImp::EventLoopImp | ( |  | ) |

Definition at line 199 of file geventloop_select.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventloop_select.cpp